Bug 39177 - Timeout when using AMI Megaraid 438, Enterprise 1400 controller
Timeout when using AMI Megaraid 438, Enterprise 1400 controller
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-04 22:29 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-04 22:29:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
With the Enterprise 1400 controller I get controller timouts and the 
system hangs when booting with the new kernel.  It works great using the 
2.2 kernel.  I have firmware 148g on the controller. 

How reproducible:
Always

Steps to Reproduce:
1.boot using the 2.4 kernel in RH 7.1 with the controller installed
2.
3.
	

Actual Results:  scsi timeout when the kernel starts to scan the channels 
on the card

Expected Results:  scanned the channels and kept booting

Additional info:

Tried AMI's firmware 148g (dated 6-2000)
tried HP's 3si latest firmware (same controller)
Comment 1 Arjan van de Ven 2001-05-05 07:38:50 EDT
For another reporter, going to the C158 (or G158) firmware fixed the problem.
The changelog of the firmware mentioned serious problems in earlier versions.
Could you please try this ?

See bug 37531 for more information.
Comment 2 Arjan van de Ven 2001-05-09 07:52:24 EDT
AMI has confirmed you need a "158" series firmware as the "148" series had
a bug that makes the controller not work with the enhanced driver in 2.4
kernels.
Comment 3 Arjan van de Ven 2001-05-09 07:55:25 EDT
AMI has confirmed you need a "158" series firmware as the "148" series had
a bug that makes the controller not work with the enhanced driver in 2.4
kernels.

Could you try newer firmware and see if that fixes this?
Comment 4 Need Real Name 2001-05-11 01:05:04 EDT
Unfortunately for this card (Enterprise 1400 - 438) card AMI has not updated the
firmware to v158.  The lastest version on their site is 148.  I should also note
after further investigation that the driver works using the single processor
kernel but does not work using the smp kernel.  I also noticed that AMI has
updated the driver to 1.15.  What would the difference be between the 2
different kernels and the megaraid driver besides support for 2 processors? 
Help me out here, I'm not a kernel hacker...
Comment 5 Alan Cox 2003-06-06 08:15:33 EDT
This should all be working with newer kernels (drivers 1.18 etc) and firmware.
Firmware can be a big issue here. If not please re-open

Note You need to log in before you can comment on or make changes to this bug.